Uses of Interface
io.vertx.core.http.HttpClientResponse
Packages that use HttpClientResponse
Package
Description
-
Uses of HttpClientResponse in io.vertx.core.http
Fields in io.vertx.core.http with type parameters of type HttpClientResponseModifier and TypeFieldDescriptionstatic final Function<HttpClientResponse, Future<RequestOptions>> HttpClientAgent.DEFAULT_REDIRECT_HANDLERConstant containing the default redirect handler of used by the client.Methods in io.vertx.core.http that return HttpClientResponseModifier and TypeMethodDescriptiondefault HttpClientResponseHttpClientResponse.bodyHandler(Handler<Buffer> bodyHandler) Convenience method for receiving the entire request body in one piece.HttpClientResponse.customFrameHandler(Handler<HttpFrame> handler) Set an custom frame handler.HttpClientResponse.endHandler(Handler<Void> endHandler) HttpClientResponse.exceptionHandler(Handler<Throwable> handler) HttpClientResponse.fetch(long amount) HttpClientResponse.pause()HttpClientResponse.resume()HttpClientResponse.streamPriorityHandler(Handler<StreamPriority> handler) Set an handler for stream priority changes.Methods in io.vertx.core.http that return types with arguments of type HttpClientResponseModifier and TypeMethodDescriptionHttpClientRequest.connect()Create an HTTP tunnel to the server.HttpClientRequest.response()default Future<HttpClientResponse> HttpClientRequest.send()Send the request with an empty body.default Future<HttpClientResponse> Send the request with a bufferbody.HttpClientRequest.send(ClientForm form) LikeHttpClientRequest.send()but with aform.default Future<HttpClientResponse> HttpClientRequest.send(ReadStream<Buffer> body) Send the request with a streambody.default Future<HttpClientResponse> Send the request with a stringbody.Method parameters in io.vertx.core.http with type arguments of type HttpClientResponseModifier and TypeMethodDescriptionHttpClientRequest.redirectHandler(Function<HttpClientResponse, Future<HttpClientRequest>> handler) HttpClientBuilder.withRedirectHandler(Function<HttpClientResponse, Future<RequestOptions>> handler) Set a redirect handler for the http client. -
Uses of HttpClientResponse in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return HttpClientResponse -
Uses of HttpClientResponse in io.vertx.reactivex.core.http
Methods in io.vertx.reactivex.core.http that return HttpClientResponseMethods in io.vertx.reactivex.core.http with parameters of type HttpClientResponseModifier and TypeMethodDescriptionstatic HttpClientResponseHttpClientResponse.newInstance(HttpClientResponse arg) Constructors in io.vertx.reactivex.core.http with parameters of type HttpClientResponse -
Uses of HttpClientResponse in io.vertx.rxjava3.core.http
Methods in io.vertx.rxjava3.core.http that return HttpClientResponseMethods in io.vertx.rxjava3.core.http with parameters of type HttpClientResponseModifier and TypeMethodDescriptionstatic HttpClientResponseHttpClientResponse.newInstance(HttpClientResponse arg) Constructors in io.vertx.rxjava3.core.http with parameters of type HttpClientResponse